Package com.mckoi.database

## Class TransactionException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.mckoi.database.TransactionException

All Implemented Interfaces:
  `java.io.Serializable`

    public class TransactionException
    extends java.lang.Exception

Thrown when a transaction error happens. This can only be thrown during the commit process of a transaction.

Author:
  Tobias Downer
See Also:
  Serialized Form

### Field Summary

Fields
`static int` `DIRTY_TABLE_SELECT` Thrown when a transaction selects data from a table that has committed changes to it from another transaction.
`static int` `DUPLICATE_TABLE` Thrown when a transaction conflict occurs and would cause duplicate tables to be created.
`static int` `ROW_REMOVE_CLASH` Thrown when a transaction deletes or updates a row that another transaction has committed a change to.
`static int` `TABLE_DROPPED` Thrown when a transaction adds/removes/modifies rows from a table that has been dropped by another transaction.
`static int` `TABLE_REMOVE_CLASH` Thrown when a transaction drops or alters a table that another transaction has committed a change to.

### Constructor Summary

Constructors
`TransactionException​(int type, java.lang.String message)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getType()` Returns the type of transaction error this is.

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### ROW_REMOVE_CLASH

    public static final int ROW_REMOVE_CLASH

Thrown when a transaction deletes or updates a row that another transaction has committed a change to.

See Also:
  Constant Field Values

#### TABLE_REMOVE_CLASH

    public static final int TABLE_REMOVE_CLASH

Thrown when a transaction drops or alters a table that another transaction has committed a change to.

See Also:
  Constant Field Values

#### TABLE_DROPPED

    public static final int TABLE_DROPPED

Thrown when a transaction adds/removes/modifies rows from a table that has been dropped by another transaction.

See Also:
  Constant Field Values

#### DIRTY_TABLE_SELECT

    public static final int DIRTY_TABLE_SELECT

Thrown when a transaction selects data from a table that has committed changes to it from another transaction.

See Also:
  Constant Field Values

#### DUPLICATE_TABLE

    public static final int DUPLICATE_TABLE

Thrown when a transaction conflict occurs and would cause duplicate tables to be created.

See Also:
  Constant Field Values

### Constructor Detail

#### TransactionException

    public TransactionException​(int type,
                                java.lang.String message)

### Method Detail

#### getType

    public int getType()

Returns the type of transaction error this is.